body {
    font-family: sans-serif;
    font-size: 1.5rem;
    padding: 0;
    margin: 0;
}


#root,
main {
    min-height: 100vh;
}

#main-container {
    justify-content: center;
    align-items: top;
    min-height: 400px;
    padding: 2rem 0;
}

#menu li {
    display: inline;
    padding: 0px 4px;
}

img {
    display: block;
    margin: auto;
}

h1 {
    font-size: large;
}

form {
    display: flex;
    flex-flow: row wrap;
    margin: auto;
    align-items: baseline;
}

#clickMeBtn {
    padding: 5px 20px;
    margin: 10px auto;
    float: right;
}

#greeting {
    margin: 10px auto;
    padding: 10px 60px;
    border: 1px solid #222;
}

#greeting:empty {
    display: none;
}

::placeholder {
    color: #999;
    opacity: 1;
}

/* The following input-sizer selectors allow form input boxes to grow
vertically with the content. See
https://css-tricks.com/auto-growing-inputs-textareas/#aa-other-ideas */
*,
*::before,
*::after {
    box-sizing: border-box;
}

.input-sizer {
    display: inline-grid;
    vertical-align: top;
    align-items: center;
    position: relative;
}

.input-sizer.stacked {
    align-items: stretch;
    width: 100%;
}

.input-sizer.stacked::after,
.input-sizer.stacked textarea {
    grid-area: 2 / 1;
}

.input-sizer::after,
.input-sizer input,
.input-sizer textarea {
    width: auto;
    min-width: 1em;
    grid-area: 1 / 2;
    font: inherit;
    padding: 0.75em;
}

.input-sizer span {
    padding: 0.75em;
}

.input-sizer::after {
    content: attr(data-value) " ";
    visibility: hidden;
    white-space: pre-wrap;
}
